- Home
- API Enriched
- Shape
- shape
- Expanded Traffic Overview V3.
Expanded Traffic Overview V3.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/v3/reporting/traffic/overview/expanded';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"end_time":"example","filters":{"action_taken":{"actions_taken":["example"],"op":"IN"},"app_id_filter":{"app_id_strings":["example"],"op":"IN"},"application_name":{"application_names":["example"],"op":"IN"},"as_org_filter":{"as_orgs":["example"],"op":"IN"},"attack_intent_filter":{"attack_intent_strings":["example"],"op":"IN"},"automation_type_filter":{"automation_type_strings":["example"],"op":"IN"},"browser_filter":{"browser_strings":["example"],"op":"IN"},"country_filter":{"country_strings":["example"],"op":"IN"},"host_filter":{"host_strings":["example"],"op":"IN"},"inference_filter":{"inference_strings":["example"],"op":"IN"},"ip_filter":{"ips":["example"],"op":"IN"},"method_filter":{"method_strings":["example"],"op":"IN"},"os_filter":{"op":"IN","os_strings":["example"]},"referer_filter":{"op":"IN","referer_strings":["example"]},"region_filter":"US","traffic_type_filter":{"op":"IN","traffic_type_strings":["example"]},"ua_filter":{"op":"IN","ua_strings":["example"]},"uri_filter":{"op":"IN","uri_strings":["example"]}},"limit":1,"namespace":"example","start_time":"example","virtual_host":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/v3/reporting/traffic/overview/expanded \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "end_time": "example", "filters": { "action_taken": { "actions_taken": [ "example" ], "op": "IN" }, "app_id_filter": { "app_id_strings": [ "example" ], "op": "IN" }, "application_name": { "application_names": [ "example" ], "op": "IN" }, "as_org_filter": { "as_orgs": [ "example" ], "op": "IN" }, "attack_intent_filter": { "attack_intent_strings": [ "example" ], "op": "IN" }, "automation_type_filter": { "automation_type_strings": [ "example" ], "op": "IN" }, "browser_filter": { "browser_strings": [ "example" ], "op": "IN" }, "country_filter": { "country_strings": [ "example" ], "op": "IN" }, "host_filter": { "host_strings": [ "example" ], "op": "IN" }, "inference_filter": { "inference_strings": [ "example" ], "op": "IN" }, "ip_filter": { "ips": [ "example" ], "op": "IN" }, "method_filter": { "method_strings": [ "example" ], "op": "IN" }, "os_filter": { "op": "IN", "os_strings": [ "example" ] }, "referer_filter": { "op": "IN", "referer_strings": [ "example" ] }, "region_filter": "US", "traffic_type_filter": { "op": "IN", "traffic_type_strings": [ "example" ] }, "ua_filter": { "op": "IN", "ua_strings": [ "example" ] }, "uri_filter": { "op": "IN", "uri_strings": [ "example" ] } }, "limit": 1, "namespace": "example", "start_time": "example", "virtual_host": "example" }'GET expanded traffic overview v3.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace
x-required namespace is used to scope the query. Only virtual_host in given namespace will be considered.
Request Bodyrequired
Section titled “Request Bodyrequired”Request for Shape Bot Defense expanded traffic overview.
object
End time of the query period Format: unix_timestamp|RFC 3339
Optional: If not specified, then the end_time will be evaluated to start_time+10m
If start_time is not specified, then the end_time will be evaluated to
object
object
A list of strings Required: YES.
object
An unordered list of App ID strings Required: YES.
object
A list of strings Required: YES.
object
An unordered list of as org strings Required: YES.
object
An list of strings Required: YES.
object
An list of strings Required: YES.
object
An list of strings Required: YES.
object
An list of strings Required: YES.
object
An list of strings Required: YES.
object
An list of strings Required: YES.
object
An unordered list of IPv4 addresses Required: YES.
object
An list of strings Required: YES.
object
An list of strings Required: YES.
object
An list of strings Required: YES.
object
An list of strings Required: YES.
object
An unordered list of user agent strings Required: YES.
object
An list of strings Required: YES.
Limits the number of transactions returned in the response Optional: If not specified, the first 500 transactions that matches the query will be returned in the response. The maximum value for limit is 500.
Namespace is used to scope the query. Only virtual_host in given namespace will be considered. Required: YES.
Start time of the query period Format: unix_timestamp|RFC 3339
Optional: If not specified, then the start_time will be evaluated to end_time-10m
If end_time is not specified, then the start_time will be evaluated to
Name of Virtual Host to scope the query Required: YES.
Responses
Section titled “Responses”A successful response.
Response for Shape Bot Defense expanded traffic overview.
object
Total number of traffic transactions.
A list of traffic transactions.
Traffic transaction.
object
Action Taken Values: Flagged, Blocked, Allow Request, etc.
Traffic Channel.
Organization name.
AS Number
Attack Intent.
Malicious Bot Automation Type.
Country name.
Hostname of attacked app endpoint.
Bot Defense Inference: Human, Automated, Allowlisted, Other.
Bot Defense Inference Sub Type: Bad Bot, Trusted Allow, Good Bot.
IP Address.
HTTP method of attacked app endpoint.
Header reference.
Time/Date of the transaction in RFC 3339 format Format: RFC 3339.
User Agent String.
URI of attacked app endpoint.
Examplegenerated
{ "total_transactions": "example", "transactions": [ { "action_taken": "example", "app_type": "example", "as_org": "example", "asn": 1, "attack_intent": "example", "automation_type": "example", "country": "example", "hostname": "example", "inference": "example", "inference_sub_type": "example", "ip": "example", "method": "example", "referer": "example", "timestamp": "2026-04-15T12:00:00Z", "ua": "example", "uri": "example" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example